Package org.apache.sling.cms

## Interface ComponentPolicyManager

    @ProviderType
    public interface ComponentPolicyManager

An interface for retrieving the applicable component policy for a given resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable ComponentPolicy` `getComponentPolicy()` Gets the applicable component policy based on the containing page's template and the path of the content resource

### Method Detail

#### getComponentPolicy

    @Nullable
    @Nullable ComponentPolicy getComponentPolicy()

Gets the applicable component policy based on the containing page's template and the path of the content resource

Returns:
  the componentPolicy or null if the no component policy is applicable